# Uses of Enum Class
org.jmol.c.VDW

Packages that use VDW
Package
Description
org.jmol.api
org.jmol.atomdata
org.jmol.c
org.jmol.modelset
org.jmol.util
org.jmol.viewer

## Uses of VDW in org.jmol.api

Methods in org.jmol.api with parameters of type VDW
Modifier and Type
Method
Description
`String`
JmolDataManager.`getDefaultVdwNameOrData(VDW type, BS bs)`

## Uses of VDW in org.jmol.atomdata

Fields in org.jmol.atomdata declared as VDW
Modifier and Type
Field
Description
`VDW`
RadiusData.`vdwType`
Constructors in org.jmol.atomdata with parameters of type VDW
Modifier
Constructor
Description
``
`RadiusData(float[] values, float value, RadiusData.EnumType factorType, VDW vdwType)`

## Uses of VDW in org.jmol.c

Subclasses with type arguments of type VDW in org.jmol.c
Modifier and Type
Class
Description
`enum`
`VDW`
Methods in org.jmol.c that return VDW
Modifier and Type
Method
Description
`static VDW`
VDW.`getVdwType(String label)`
`static VDW`
VDW.`getVdwType2(String label)`
`static VDW`
VDW.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VDW[]`
VDW.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of VDW in org.jmol.modelset

Methods in org.jmol.modelset that return VDW
Modifier and Type
Method
Description
`VDW`
ModelSet.`getDefaultVdwType(int modelIndex)`
Methods in org.jmol.modelset with parameters of type VDW
Modifier and Type
Method
Description
`float`
AtomCollection.`calculateVolume(BS bs, VDW vType)`
`float`
Atom.`getVanderwaalsRadiusFloat(Viewer vwr, VDW type)`

## Uses of VDW in org.jmol.util

Methods in org.jmol.util with parameters of type VDW
Modifier and Type
Method
Description
`static int`
Elements.`getVanderwaalsMar(int atomicAndIsotopeNumber, VDW type)`

## Uses of VDW in org.jmol.viewer

Methods in org.jmol.viewer with parameters of type VDW
Modifier and Type
Method
Description
`String`
DataManager.`getDefaultVdwNameOrData(VDW type, BS bs)`
`String`
Viewer.`getDefaultVdwNameOrData(int mode, VDW type, BS bs)`
`int`
Viewer.`getVanderwaalsMarType(int atomicAndIsotopeNumber, VDW type)`